TEST(1)

NAMN
test - check file types and compare values

SYNOPSIS
test UTTRYCK
test
[ UTTRYCK ]
[ ]"
[ FLAGGA

BESKRIVNING

Avsluta med status som bestäms av UTTRYCK.

--help
    Visa denna hjälp och avsluta.

--version
    Visa versionsinformation och avsluta.

Ett utelämnat UTTRYCK behandlas som falskt. Annars är UTTRYCK sant eller falskt och sätter returvärdet. Det är något av:

( UTTRYCK )
    UTTRYCK är sant

! UTTRYCK
    UTTRYCK är falskt

UTTRYCK1 -a UTTRYCK2
    både UTTRYCK1 och UTTRYCK2 är sanna

UTTRYCK1 -o UTTRYCK2
    något av UTTRYCK1 eller UTTRYCK2 är sant

-n STRÄNG
    längden på STRÄNG är inte noll

STRÄNG
    likvärdigt med -n STRÄNG

-z STRÄNG
    längden på STRÄNG är noll

STRÄNG1 = STRÄNG2
    strängarna är lika

STRÄNG1 != STRÄNG2
    strängarna är inte lika

HELTAL1 -eq HELTAL2
    HELTAL1 är lika med HELTAL2

HELTAL1 -ge HELTAL2
    HELTAL1 är större än eller lika med HELTAL2

HELTAL1 -gt HELTAL2
    HELTAL1 är större än HELTAL2

HELTAL1 -le HELTAL2
    HELTAL1 är mindre än eller lika med HELTAL2

HELTAL1 -lt HELTAL2
    HELTAL1 är mindre än HELTAL2

HELTAL1 -ne HELTAL2
    HELTAL1 är inte lika med HELTAL2

FIL1 -ef FIL2
    FIL1 och FIL2 har samma enhets- och inodnummer

FIL1 -nt FIL2
    FIL1 är nyare (ändringstidpunkt) än FIL2

FIL1 -ot FIL2
    FIL1 är äldre än FIL2

-b FIL
    FIL finns och är en specialfil för blockåtkomst

-c FIL
    FIL finns och är en specialfil för teckenåtkomst

-d FIL
    FIL finns och är en katalog

-e FIL
    FIL finns

-f FIL
    FIL finns och är en vanlig fil

-g FIL
    FIL finns och har sätt-grupp-ID-biten satt

-G FIL
    FIL finns och ägs av verksam grupp-ID

-h FIL
    FIL finns och är en symbolisk länk (samma som -L)

-k FIL
    FIL finns med fastbiten satt

-L FIL
    FIL finns och är en symbolisk länk (samma som -h)

-N FIL
    FIL finns och har ändrats sedan den senast lästes

-O FIL
    FIL finns och ägs av verksam användar-ID

-p FIL
    FIL finns och är ett namngivet rör

-r FIL
    FIL finns och läsning är tillåten

-s FIL
    FIL finns och har större storlek än noll

-S FIL
    FIL existerar och är ett uttag (socket)

-t FI
    filidentifierare FI är öppnad mot en terminal

-u FIL
    FIL existerar och dess set-user-ID-bit är satt

-w FIL
    FIL existerar och skrivning är tillåten

-x FIL
    FIL existerar och körning (eller sökning) är tillåten

Förutom för -h och -L följer alla filrelaterade tester symboliska länkar. Var medveten om att parenteser måste föregås av kontrollsekvens (t.ex. av omvänt snedstreck) för skal. HELTAL kan också vara -l STRÄNG, som har värdet av längden på STRÄNG.

OBS: Binära -a och -o är i sig tvetydiga. Använd ”test UTTR1 && test UTTR2' eller 'test UTTR1 || test UTTR2' istället.

OBS: [ godkänner flaggorna --help och --version, men test gör det inte. test behandlar båda dessa som den behandlar alla andra icketomma strängar.

OBS: ditt skal kan ha sin egen version av test och/eller [, som ofta ersätter versionen som beskrivs här. Se dokumentationen för ditt skal för detaljer om valen det stödjer.

UPPHOVSMAN
Skrivet av Kevin Braunsdorf och Matthew Bradburn.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>.

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE OCKSÅ
Fullständig dokumentation <https://www.gnu.org/software/coreutils/test>
eller tillgängligt lokalt via: info '(coreutils) test invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till <TODO>.